package com.example.jingyuan_mes.entity;

import androidx.databinding.BaseObservable;

/**
 * @author wanghao
 * @date 2024/2/20  14:37
 */
public class OutStoreSubmit extends BaseObservable {

    /**
     * locationCode : 333
     * outstockAmount : 2
     * instockBatch : 333
     * rawOutstockDetailId : 2
     */

    private String locationCode;
    private String searchText;
    private int outstockAmount = 1;
    private String instockBatch;
    private Long rawOutstockDetailId;

    public String getLocationCode() {
        return locationCode;
    }

    public String getSearchText() {
        return searchText;
    }

    public void setSearchText(String searchText) {
        this.searchText = searchText;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
        notifyChange();
    }

    public int getOutstockAmount() {
        return outstockAmount;
    }

    public void setOutstockAmount(int outstockAmount) {
        this.outstockAmount = outstockAmount;
        notifyChange();
    }

    public String getInstockBatch() {
        return instockBatch;
    }

    public void setInstockBatch(String instockBatch) {
        this.instockBatch = instockBatch;
        notifyChange();
    }

    public Long getRawOutstockDetailId() {
        return rawOutstockDetailId;
    }

    public void setRawOutstockDetailId(Long rawOutstockDetailId) {
        this.rawOutstockDetailId = rawOutstockDetailId;
    }

    public void subClear() {
        locationCode = null;
        outstockAmount = 1;
        instockBatch = null;
    }
}
