package com.example.jingyuan_mes.store;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import com.example.jingyuan_mes.R;
import com.example.jingyuan_mes.base.BaseActivity;
import com.example.jingyuan_mes.base.MyRecultCall;
import com.example.jingyuan_mes.base.MyResult;
import com.example.jingyuan_mes.databinding.ActivityProductInBinding;
import com.example.jingyuan_mes.uitls.SharedPreferencesUtils;
import com.example.jingyuan_mes.vm.ProductInVm;
import com.lzy.okgo.OkGo;
import com.lzy.okgo.model.Response;

import okhttp3.RequestBody;

public class ProductInActivity extends BaseActivity {
    private ProductInVm vm;
    private Context context;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityProductInBinding binding = DataBindingUtil.setContentView(this, R.layout.activity_product_in);
        context=this;
        vm=new ProductInVm();
        binding.setVm(vm);
    }

    public void product_in_submit(View view) {
        OkGo.<MyResult>post(url+"/wms/mobile/addProductInstock")
                .headers("Authorization", SharedPreferencesUtils.getstring("access_token", ""))
                .upRequestBody(RequestBody.create(JSON,gson.toJson(vm)))
                .execute(new MyRecultCall(dialog,this){
                    @Override
                    public void onSuccess(Response<MyResult> response) {
                        super.onSuccess(response);
                        var body = response.body();
                        if (body.getCode()==200){
                            finish();
                        }
                        Toast.makeText(context, body.getMsg(), Toast.LENGTH_SHORT).show();
                    }
                });
    }
}