package com.example.jingyuan_mes.store;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import android.os.Bundle;
import android.widget.Toast;

import com.example.jingyuan_mes.R;
import com.example.jingyuan_mes.base.BaseActivity;
import com.example.jingyuan_mes.base.MyRecultCall;
import com.example.jingyuan_mes.base.MyResult;
import com.example.jingyuan_mes.databinding.ActivityProductOutConfirmBinding;
import com.example.jingyuan_mes.uitls.SharedPreferencesUtils;
import com.lzy.okgo.OkGo;
import com.lzy.okgo.model.Response;

import okhttp3.RequestBody;

public class ProductOutConfirmActivity extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityProductOutConfirmBinding binding=DataBindingUtil.setContentView(this,R.layout.activity_product_out_confirm);
        binding.productConfirmButton.setOnClickListener(v -> {
            OkGo.<MyResult>post(url+"/wms/mobile/")
                    .headers("Authorization", SharedPreferencesUtils.getstring("access_token", ""))
                    // .upRequestBody(RequestBody.create(JSON,gson.toJson(vm)))
                    .execute(new MyRecultCall(dialog,this){
                        @Override
                        public void onSuccess(Response<MyResult> response) {
                            super.onSuccess(response);
                            var body = response.body();
                            if (body.getCode()==200){
                                finish();
                            }
                            Toast.makeText(context, body.getMsg(), Toast.LENGTH_SHORT).show();
                        }
                    });
        });
    }
}