package com.example.jingyuan_mes.entity;


import androidx.databinding.BaseObservable;

/**
 * 成品出库
 *
 * @author wanghao
 * @date 2024/2/22  16:31
 */
public class ProductStock extends BaseObservable {
    /** 仓库ID */
    private Long warehouseId;
    /** 产品ID */
    private Long productId;
    private String materialCode;
    private String materialName;
    /**
     * 订单数量
     */
    private int orderAmount;

    private String warehouseName;
    /**
     * 销售订单编号
     */
    private String saleorderCode;
    /** 总数量 */
    private int totalAmount;

    /** 冻结数量 */
    private int frozenAmount;

    /** 占用数量 */
    private int occupyAmount;
    private int applyAmount;

    private int applyQty= Math.min(totalAmount, orderAmount);

    public String getSaleorderCode() {
        return saleorderCode;
    }

    public void setSaleorderCode(String saleorderCode) {
        this.saleorderCode = saleorderCode;
    }

    public int getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(int applyAmount) {
        this.applyAmount = applyAmount;
    }

    public int getApplyQty() {
        return applyQty;
    }

    public void setApplyQty(int applyQty) {
        this.applyQty = applyQty;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public int getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(int orderAmount) {
        this.orderAmount = orderAmount;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public int getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(int totalAmount) {
        this.totalAmount = totalAmount;
    }

    public int getFrozenAmount() {
        return frozenAmount;
    }

    public void setFrozenAmount(int frozenAmount) {
        this.frozenAmount = frozenAmount;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public int getOccupyAmount() {
        return occupyAmount;
    }

    public void setOccupyAmount(int occupyAmount) {
        this.occupyAmount = occupyAmount;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }
}
